%define name	thoggen
%define version	0.3
%define release 2mdk

Name: 	 	%{name}
Summary: 	Wizard-style DVD backup utility
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/thoggen/%{name}-%{version}.tar.bz2
URL:		http://thoggen.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gstreamer-devel libdvdread-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libhal-devel libdbus-devel
BuildRequires:	gstreamer-a52dec gstreamer-mpeg
BuildRequires:	gstreamer-libdvdread gstreamer-vorbis
Requires:  	gstreamer-a52dec gstreamer-mpeg
Requires:  	gstreamer-libdvdread gstreamer-vorbis
BuildRequires: ImageMagick

%description
Thoggen is designed to be easy and straight-forward to use. It attempts to
hide the complexity many other transcoding tools expose and tries to offer
sensible defaults that work okay for most people most of the time.
    * Easy to use, with a nice graphical user interface (GUI)
    * Supports title preview, picture cropping, and picture resizing.
    * Language Selection for audio track (no subtitle support yet though)
    * Encodes into Ogg/Theora video
    * Based on the GStreamer multimedia framework, which makes it fairly
      easy to add additional encoding formats/codecs.

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr %buildroot/%_docdir/*
# needed for ABOUT dialog
ln -sf %_docdir/%name-%version %buildroot/%_docdir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Thoggen" longtitle="DVD backup utility" section="Multimedia/Video"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 data/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 data/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 data/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

pushd .
cd %buildroot%_datadir/locale
mv fr_FR fr
mv pt_PT pt
popd
%find_lang %name
%find_lang %{name}_iso_639
cat %{name}_iso_639.lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
# keep COPYING for help files
%doc COPYING README AUTHORS NEWS TODO
%{_bindir}/%name
%{_docdir}/%name
%{_mandir}/man1/*
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Thu Apr  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- fix some bad locale subdirectories
- fix buildrequires

* Fri Mar 18 2005 Austin Acton <austin@mandrake.org> 0.3-1mdk
- 0.3
- source URL

* Mon Jan 17 2005 Austin Acton <austin@mandrake.org> 0.2-1mdk
- initial package
